/**
   AudioChain Copyright (C) 2012-2013 Florian Paul (www.audiochain.org)
   
   This program is free software; you can redistribute it and/or modify it under the terms of the 
   GNU General Public License as published by the Free Software Foundation; either version 3 of the 
   License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
   even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General 
   Public License for more details.
   
   You should have received a copy of the GNU General Public License along with this program; 
   if not, see <http://www.gnu.org/licenses/>. 
 */
package org.audiochain.devices.vst;

import java.util.Collection;

import org.audiochain.model.AudioDevice;
import org.audiochain.model.AudioDeviceFactory;

public class VstAudioDeviceFactory implements AudioDeviceFactory {

	@Override
	public AudioDevice createAudioDevice(AudioDeviceIdentifier audioDeviceIdentifier) {
		return new ChainableVstAudioDevice(audioDeviceIdentifier.getIdentifier());
	}

	@Override
	public Collection<AudioDeviceIdentifier> getAudioDeviceIdentifiers() {
		return VstPluginLibrary.getInstance().getAudioDeviceIdentifiers();
	}
}
